Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.snmp
Class MIBLookupException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.hyperic.util.NestedException
                  net.hyperic.snmp.SNMPException
                      net.hyperic.snmp.MIBLookupException

All Implemented Interfaces:
  java.io.Serializable

public class MIBLookupException
extends SNMPException

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.hyperic.util.NestedException
`_exception`

Constructor Summary
`MIBLookupException()`
`MIBLookupException(java.lang.String s)`
`MIBLookupException(java.lang.String s, java.lang.Throwable t)`

Methods inherited from class net.hyperic.util.NestedException
`addException, getExceptionOfType, printStackTrace, printStackTrace, toString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MIBLookupException

    public MIBLookupException()

### MIBLookupException

    public MIBLookupException(java.lang.String s)

### MIBLookupException

    public MIBLookupException(java.lang.String s,
                              java.lang.Throwable t)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.